#(eatdirt) misses a few symbols and atlas is just lapack/blas
#optimized. Because it cannot be optimized when distributed through
#our buildserver, there is no gain in using it
%define enable_atlas 0


%define module	numpy
%define epoch 	1

# disable this for bootstrapping nose and sphinx
%define enable_tests 0
#(eatdirt) something is missing here, either a python-numpydoc package
#or a Provides in python-numpy (disabled for now).
%define enable_doc 0

#uncomment next line for a release candidate or a beta
#define relc rc1

#release to bump
%define rel 1

Summary:	A fast multidimensional array facility for Python
Name:		python-%{module}
Epoch:		%{epoch}
Version:	1.16.3
Release:	%mkrel %{?relc:0.%relc.}%{rel}
License:	BSD
Group:		Development/Python
Url: 		http://numpy.scipy.org
Source0:	https://github.com/%{module}/%{module}/releases/download/v%{version}/%{module}-%{version}%{?relc}.tar.gz
%if %enable_atlas
BuildRequires:	libatlas-devel
%else
BuildRequires:	blas-devel
%endif
BuildRequires:	lapack-devel >= 3.8.0-3
BuildRequires:	gcc-gfortran >= 8.2.0-0.5
BuildRequires:	chrpath
%if %enable_doc
BuildRequires:	python2dist(sphinx) >= 1.0
BuildRequires:	python2dist(sphinx-rtd-theme)
BuildRequires:	python2dist(matplotlib)
BuildRequires:	python3dist(sphinx) >= 1.0
BuildRequires:	python3dist(sphinx-rtd-theme)
BuildRequires:	python3dist(matplotlib)
%endif
%if %enable_tests
BuildRequires:	python2dist(nose)
BuildRequires:  python2dist(pytest)
BuildRequires:	python3dist(nose)
BuildRequires:  python3dist(pytest)
%endif
BuildRequires:	pkgconfig(python2)
BuildRequires:	python2dist(setuptools)
BuildRequires:	python2dist(cython)
BuildRequires:	python3dist(cython)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package -n python2-numpy
Summary:	A fast multidimensional array facility for Python2
Group:		Development/Python
License:	BSD
Obsoletes:	python-numeric < 24.2-8
Provides:	python-numeric
Obsoletes:	python-numpy < 1:1.13.3-4
Provides:	python-numpy = %epoch:%version-%release


%description -n python2-numpy
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package -n python2-numpy-devel
Summary:	Numpy headers for Python2
Group:		Development/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	python-numeric-devel < 2.8
Provides:	python-numeric-devel = %epoch:%version-%release

Obsoletes:	python-numpy-devel < 1:1.13.3-4
Provides:	python-numpy-devel = %epoch:%version-%release

%description -n python2-numpy-devel
This package contains header files need to develop modules
in C and Fortran that can interact with Numpy.

%package -n python2-numpy-f2py
Summary:        f2py for numpy
Group:          Development/Python
Requires:       python2-numpy = %{epoch}:%{version}-%{release}
Requires:       pkgconfig(python2)
Provides:       f2py = %{version}-%{release}
Obsoletes:      f2py <= 2.45.241_1927

Obsoletes:	python-numpy-f2py < 1:1.13.3-4
Provides:	python-numpy-f2py = %epoch:%version-%release

%description -n python2-numpy-f2py
This package includes a version of f2py that works properly with NumPy.

%package -n python3-numpy
Summary:	A fast multidimensional array facility for Python3
Group:		Development/Python
License:	BSD

%description -n python3-numpy
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package -n python3-numpy-devel
Summary:        Numpy headers for Python3
Group:          Development/Python
Requires:       python3-numpy = %{epoch}:%{version}-%{release}
Obsoletes:      python3-numeric-devel < 2.8
Provides:       python3-numeric-devel = %epoch:%version-%release

%description -n python3-numpy-devel
This package contains header files need to develop modules
in C and Fortran that can interact with Numpy.

%package -n python3-numpy-f2py
Summary:        f2py for numpy
Group:          Development/Python
Requires:       python3-numpy = %{epoch}:%{version}-%{release}
Requires:       pkgconfig(python3)
Provides:       python3-f2py = %{version}-%{release}
Obsoletes:      python3-f2py <= 2.45.241_1927

%description -n python3-numpy-f2py
This package includes a version of f2py that works properly with NumPy.

%prep
%setup -q -n %{module}-%{version}%{?relc}

cp -a . %{py3dir}

%build
pushd %{py3dir}
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    FFLAGS="%{optflags} -fPIC -O3" \
    %{__python3} setup.py build
popd

env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    FFLAGS="%{optflags} -fPIC -O3" \
    %{__python2} setup.py build

%if %enable_doc
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%make_build html
popd
%endif

%install
#(eatdirt) let's do the contrary now
### first install python3 so the binaries are overwritten by the python2 ones

# skip-build currently broken, this works around it for now
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    FFLAGS="%{optflags} -fPIC -O3" \
    %{__python2} setup.py install --root %{buildroot}

pushd %{py3dir}
# skip-build currently broken, this works around it for now
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    FFLAGS="%{optflags} -fPIC -O3" \
    %{__python3} setup.py install --root %{buildroot}
popd

# remove RPATH
chrpath -d %{buildroot}%{python2_sitearch}/numpy/linalg/*.so
chrpath -d %{buildroot}%{python3_sitearch}/numpy/linalg/*.so

# Remove doc files that should be in %%doc:
%__rm -f %{buildroot}%{python2_sitearch}/%{module}/COMPATIBILITY
%__rm -f %{buildroot}%{python2_sitearch}/%{module}/*.txt
%__rm -f %{buildroot}%{python2_sitearch}/%{module}/site.cfg.example
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/LICENSE.txt

%check
%if %enable_tests

# Don't run tests from within main directory to avoid importing the uninstalled numpy stuff:
pushd doc &> /dev/null
PYTHONPATH="%{buildroot}%{python2_sitearch}" PATH="%{buildroot}%{_bindir}:$PATH" \
    %{__python2} -m pytest -v --pyargs numpy
popd &> /dev/null

pushd doc &> /dev/null
PYTHONPATH="%{buildroot}%{python3_sitearch}" PATH="%{buildroot}%{_bindir}:$PATH"\
    %{__python3} -m pytest -v --pyargs numpy
popd &> /dev/null
%endif



%files -n python2-numpy
%license LICENSE.txt
%doc THANKS.txt site.cfg.example
%if %enable_doc
%doc doc/build/html
%endif
%dir %{python2_sitearch}/%{module}
%{python2_sitearch}/%{module}/*.py*
%{python2_sitearch}/%{module}/core/
%{python2_sitearch}/%{module}/compat/
%{python2_sitearch}/%{module}/doc/
%exclude %{python2_sitearch}/%{module}/core/include/
%{python2_sitearch}/%{module}/fft/
%{python2_sitearch}/%{module}/lib/
%{python2_sitearch}/%{module}/linalg/
%{python2_sitearch}/%{module}/ma/
%{python2_sitearch}/%{module}/matrixlib/
%{python2_sitearch}/%{module}/polynomial/
%{python2_sitearch}/%{module}/random/
%exclude %{python2_sitearch}/%{module}/random/randomkit.h
%{python2_sitearch}/%{module}/testing/
%{python2_sitearch}/%{module}/tests/
%{python2_sitearch}/%{module}-*.egg-info
%{python2_sitearch}/%{module}/distutils/
%exclude %{python2_sitearch}/%{module}/__pycache__

%files -n python2-numpy-devel
%{python2_sitearch}/%{module}/core/include/
%{python2_sitearch}/%{module}/random/randomkit.h

%files -n python2-numpy-f2py
#doc doc/f2py/*.txt
#{_mandir}/man1/f2py.*
%{_bindir}/f2py2
%{_bindir}/f2py%{python2_version}
%{python2_sitearch}/%{module}/f2py

%files -n python3-numpy
%license LICENSE.txt
%doc THANKS.txt site.cfg.example
%{python3_sitearch}/%{module}/__pycache__
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*.py*
%{python3_sitearch}/%{module}/core
%{python3_sitearch}/%{module}/distutils
%{python3_sitearch}/%{module}/doc/
%{python3_sitearch}/%{module}/fft
%{python3_sitearch}/%{module}/lib
%{python3_sitearch}/%{module}/linalg
%{python3_sitearch}/%{module}/ma
%{python3_sitearch}/%{module}/random
%{python3_sitearch}/%{module}/testing
%{python3_sitearch}/%{module}/tests
%{python3_sitearch}/%{module}/compat
%{python3_sitearch}/%{module}/matrixlib
%{python3_sitearch}/%{module}/polynomial
%{python3_sitearch}/%{module}-*.egg-info
%exclude %{python3_sitearch}/%{module}/core/include/
%exclude %{python3_sitearch}/%{module}/random/randomkit.h

%files -n python3-numpy-f2py
%{_bindir}/f2py
%{_bindir}/f2py3
%{_bindir}/f2py%{python3_version}
%{python3_sitearch}/%{module}/f2py

%files -n python3-numpy-devel
%{python3_sitearch}/%{module}/core/include/
%{python3_sitearch}/%{module}/random/randomkit.h



%changelog
* Fri Nov 08 2019 daviddavid <daviddavid> 1:1.16.3-1.mga7
+ Revision: 1458743
- new version: 1.16.3, fixes CVE-2019-6446 (mga#24356)

* Mon Apr 01 2019 daviddavid <daviddavid> 1:1.16.2-1.mga7
+ Revision: 1384353
- new version: 1.16.2

* Sat Jan 05 2019 wally <wally> 1:1.15.1-2.mga7
+ Revision: 1349656
- rebuild for python3.7 without tests
- drop RPATH from modules

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1:1.15.1-1.mga7
+ Revision: 1345707
- 1.15.1
- remove old workaround for rhbz#849713
- switch to pytest for running tests

* Sun Sep 23 2018 umeabot <umeabot> 1:1.15.0-2.mga7
+ Revision: 1300538
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 eatdirt <eatdirt> 1:1.15.0-1.mga7
+ Revision: 1247076
- Upgrade to version 1.15.0

* Sat Jul 28 2018 tmb <tmb> 1:1.13.3-5.mga7
+ Revision: 1245630
- rebuild for gcc 8.2

* Sat May 05 2018 daviddavid <daviddavid> 1:1.13.3-4.mga7
+ Revision: 1226317
- rename all python-module tp python2-module

* Fri Oct 13 2017 joequant <joequant> 1:1.13.3-3.mga7
+ Revision: 1171555
- update to 1.13.3

* Sat Sep 02 2017 joequant <joequant> 1:1.11.2-3.mga7
+ Revision: 1150560
- rebuild with new gcc

* Fri Aug 04 2017 tv <tv> 1:1.11.2-2.mga7
+ Revision: 1134672
- bootstrap for new python

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1:1.11.2-1.mga6
+ Revision: 1063531
- 1.11.2

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1:1.11.1-1.mga6
+ Revision: 1051262
- 1.11.1

* Sun Apr 24 2016 joequant <joequant> 1:1.11.0-1.mga6
+ Revision: 1005833
- update to 1.11.0

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1:1.10.4-1.mga6
+ Revision: 925552
- 1.10.4

* Sun Nov 08 2015 tv <tv> 1:1.10.0-1.mga6
+ Revision: 898697
- new release

* Sat Oct 10 2015 tv <tv> 1:1.10.0-0.rc1.3.mga6
+ Revision: 889146
- BR python3-sphinx_rtd_theme
- unbootstrap

* Thu Oct 08 2015 tv <tv> 1:1.10.0-0.rc1.2.mga6
+ Revision: 887261
- bootstrap
- rebuild for python 3.5

* Sun Sep 27 2015 wally <wally> 1:1.10.0-0.rc1.1.mga6
+ Revision: 884189
- fix release tag

* Sun Sep 27 2015 joequant <joequant> 1:1.10.0-0.rc1.mga6
+ Revision: 884159
- fix bindir name
- upgrade to 1.10.0rc1
- update to 1.9.3 / python 3.5

* Tue Jun 30 2015 joequant <joequant> 1:1.9.2-1.mga6
+ Revision: 848427
- upgrade to 1.9.2

* Wed Oct 15 2014 umeabot <umeabot> 1:1.8.2-4.mga5
+ Revision: 749676
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.8.2-3.mga5
+ Revision: 726911
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.8.2-2.mga5
+ Revision: 688185
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 philippem <philippem> 1:1.8.2-1.mga5
+ Revision: 662701
- update to 1.8.2

* Sat May 31 2014 pterjan <pterjan> 1:1.8.1-3.mga5
+ Revision: 628852
- Rebuild for new Python

* Wed Apr 09 2014 philippem <philippem> 1:1.8.1-2.mga5
+ Revision: 613118
- move f2py and distutils into main package, let only headers in devel packages

* Sun Mar 30 2014 philippem <philippem> 1:1.8.1-1.mga5
+ Revision: 610377
- update to 1.8.1

* Wed Feb 19 2014 philippem <philippem> 1:1.8.0-2.mga5
+ Revision: 594840
- Fix CVE-2014-1858, CVE-2014-1859 (mga#12814)

* Fri Dec 27 2013 philippem <philippem> 1:1.8.0-1.mga4
+ Revision: 560969
- Update to 1.8.0

* Tue Oct 22 2013 umeabot <umeabot> 1:1.7.1-3.mga4
+ Revision: 543984
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:1.7.1-2.mga4
+ Revision: 498975
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- cleaning spec

* Thu Jun 27 2013 philippem <philippem> 1:1.7.1-1.mga4
+ Revision: 447337
- new upstream
- Python 3 package

* Sun Jan 13 2013 umeabot <umeabot> 1:1.6.2-2.mga3
+ Revision: 379178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 1:1.6.2-1.mga3
+ Revision: 290081
- New upstream release 1.6.2

* Fri Sep 16 2011 philippem <philippem> 1:1.6.1-2.mga2
+ Revision: 144223
-update to new upstream

* Mon Jul 04 2011 ahmad <ahmad> 1:1.6.0-1.mga2
+ Revision: 118035
- Update to 1.6.0

* Tue May 03 2011 ahmad <ahmad> 1:1.5.1-5.mga1
+ Revision: 94531
- Fix python-numeric obosletes
- Make the python-numeric Provides generic

* Fri Apr 29 2011 dmorgan <dmorgan> 1:1.5.1-4.mga1
+ Revision: 93481
- Obsoletes/Provides python-numeric

* Mon Jan 17 2011 pterjan <pterjan> 1:1.5.1-3.mga1
+ Revision: 20951
- Fix extensiosn linkage
+ misc <misc>
- use a hack to make it compile until we can properly debug this
  ( ie, after the bootstrap phase )
+ ahmad <ahmad>
- rebuild for python-2.7

* Thu Jan 13 2011 ahmad <ahmad> 1:1.5.1-2.mga1
+ Revision: 8284
- drop %%py_requires macro and use BR python-devel
- imported package python-numpy


* Thu Nov 18 2010 Lev Givon <lev@mandriva.org> 1:1.5.1-1mdv2011.0
+ Revision: 598753
- Update to 1.5.1.

* Sat Oct 30 2010 Götz Waschk <waschk@mandriva.org> 1:1.5.0-5mdv2011.0
+ Revision: 590554
- rebuild for new python

* Sat Oct 30 2010 Olivier Thauvin <nanardon@mandriva.org> 1:1.5.0-4mdv2011.0
+ Revision: 590528
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - add a switch to disable doc due to boostraping problem
    - disable test, so we can recompile for python 2.7
    - rebuild for python 2.7

* Thu Sep 16 2010 Lev Givon <lev@mandriva.org> 1:1.5.0-2mdv2011.0
+ Revision: 578796
- Patch to enable doc build (numpy bug #1596).

* Tue Aug 31 2010 Lev Givon <lev@mandriva.org> 1:1.5.0-1mdv2011.0
+ Revision: 574837
- Update to 1.5.0.

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - don't manually compress package in %%install, it breaks short-circuitting and
      is also automatically done by helpers anyways..

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:1.4.1-2mdv2010.1
+ Revision: 539595
- rebuild so that shared libraries are properly stripped again

* Thu Apr 22 2010 Lev Givon <lev@mandriva.org> 1:1.4.1-1mdv2010.1
+ Revision: 537982
- Update to 1.4.1.

* Thu Jan 28 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.4.0-1mdv2010.1
+ Revision: 497771
- Disable atlas build: it is not in main

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Lev Givon <lev@mandriva.org>
    - Clean up spec file.
      Build against atlas instead of netlib blas/lapack.

* Thu Sep 10 2009 Lev Givon <lev@mandriva.org> 1:1.3.0-4mdv2010.0
+ Revision: 436957
- Remove python-devel suggested install because it induces
  installation of lots of other devel stuff.

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 1:1.3.0-3mdv2010.0
+ Revision: 433755
- Add python-devel as a suggested install because it is required to run
  some tests.

* Wed Sep 02 2009 Lev Givon <lev@mandriva.org> 1:1.3.0-2mdv2010.0
+ Revision: 424322
- Add python-nose as an optional install dependency.

* Fri Jun 19 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.3.0-1mdv2010.0
+ Revision: 387249
- boost gcc optimization level to -O3 as this proves beneficial for performance

* Sun Apr 05 2009 Lev Givon <lev@mandriva.org> 1:1.3.0-1mdv2009.1
+ Revision: 364159
- Update to 1.3.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0b1-1mdv2009.1
+ Revision: 358059
- Update to latest upstream release.

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 318550
- rebuild for new python

* Tue Nov 25 2008 Lev Givon <lev@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 306745
- Rebuild against lapack 3.2.

* Thu Oct 30 2008 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 298753
- Update to 1.2.1.

* Sun Oct 26 2008 Lev Givon <lev@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 297454
- Update to 1.2.0.

* Sun Aug 03 2008 Lev Givon <lev@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 262015
- Update to 1.1.1.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 1.1.0-2mdv2009.0
+ Revision: 233799
- Bump release to rebuild against reorganized blas/lapack libraries.

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 212881
- update to new version 1.1.0
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 13 2007 Lev Givon <lev@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 108503
- Update to 1.0.4.

* Fri Nov 09 2007 Lev Givon <lev@mandriva.org> 1.0.3.1-2mdv2008.1
+ Revision: 106991
- Bump release to rebuild against lapack 3.1.1.

* Wed Aug 22 2007 Lev Givon <lev@mandriva.org> 1.0.3.1-1mdv2008.0
+ Revision: 69185
- Update to 1.0.3.1.

* Wed Jun 20 2007 Lev Givon <lev@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 41659
- Update to 1.0.3.

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 13991
- Update to 1.0.2.


* Mon Jan 22 2007 Lev Givon <lev@mandriva.org> 1.0.1-2mdv2007.0
+ Revision: 111955
- Patch to search for X11 libs in lib64 (Bug 28348).

* Sat Dec 02 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 90060
- new version 1.0.1

* Thu Oct 26 2006 Lev Givon <lev@mandriva.org> 1.0rc1-1mdv2007.1
+ Revision: 72558
- Import python-numpy

* Wed Sep 27 2006 Lev Givon <lev@mandriva.org> 1.0rc1-1mdk
- Update.

* Mon Jul 31 2006 Lev Givon <lev@mandriva.org> 1.0b1-1mdk
- Update.

* Tue May 23 2006 Lev Givon <lev@mandriva.org> 0.9.8-2mdk
- Put all .h files in devel package.

* Fri May 19 2006 Lev Givon <lev@mandriva.org> 0.9.8-1mdk
- Update.

* Tue Apr 25 2006 Lev Givon <lev@mandriva.org> 0.9.6-2mdk
- Fix build dependencies.

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.9.6-1mdk
- Update.

* Fri Mar 17 2006 Lev Givon <lev@mandriva.org> 0.9.5-4mdk
- Make package obsolete old f2py.

* Thu Mar 16 2006 Lev Givon <lev@mandriva.org> 0.9.5-3mdk
- Fix multiarch problem.

* Thu Mar 02 2006 Lev Givon <lev@mandriva.org> 0.9.5-2mdk
- Define devel package.

* Thu Feb 23 2006 Lev Givon <lev@mandriva.org> 0.9.5-1mdk
- Update.

* Tue Jan 31 2006 Lev Givon <lev@mandriva.org> 0.9.4-1mdk
- Update.

* Fri Jan 20 2006 Lev Givon <lev@mandriva.org> 0.9.2-1mdk
- Initial Mandriva package.

